View Issue Details

IDProjectCategoryView StatusLast Update
0002935VALENTINA SERVERAPIpublic2008-01-09 02:23
ReporterFabianAssigned ToIvan Smahin 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.5.2 
Target VersionFixed in Version3.5.2 
Summary0002935: Concurrent insert of BLOBs (API way) crashes table
DescriptionAdding 1000 BLOBs into a table containing 1000 records with myBLOB.FromFile works as expected. If I start the application twice and add 2 times 1000 records at the same time, the table was damaged. The diagnose shows a lot of:
==========> Field: Dokument , type BLOB
        .RecID: 2 Segment: 5697. already in use.
        .RecID: 3 Segment: 5697. already in use.
and so on...

This behaviour can be reproduced at any time.
Additional InformationVCOM, VB6, Vista, BLOB about 700 KB.

Code snippet:

Set myTable = myDB.Table("Archiv")
Set myBLOB = myTable.Field("Dokument")
RecID=myTable.Field("ARC_ID").FindSingle(rowID)
If RecID<>0 Then
  myTable.RecID = RecID
  myBLOB.FromFile Path
  myTable.UpdateRecord
  myDB.Flush
End If
TagsNo tags attached.

Activities

2008-01-02 03:40

 

ArchivError.txt (28,441 bytes)
Fabian

Fabian

2008-01-05 03:39

reporter   ~0003061

I also checked the API call myBLOB.WriteDate ReadBytes(Path). It shows the same errors in diagnose as myBLOB.FromFile Path (please check also WritePictureAs!)!

Issue History

Date Modified Username Field Change
2008-01-02 00:29 Fabian New Issue
2008-01-02 03:40 Fabian File Added: ArchivError.txt
2008-01-05 03:39 Fabian Note Added: 0003061
2008-01-09 02:23 Ivan Smahin Status new => resolved
2008-01-09 02:23 Ivan Smahin Fixed in Version => 3.5.2
2008-01-09 02:23 Ivan Smahin Resolution open => fixed
2008-01-09 02:23 Ivan Smahin Assigned To => Ivan Smahin